<?php

namespace Creativestyle\ContentConstructorFrontendExtension\DataProviders\ComponentsList;

abstract class HeroCarousel
{
    use GetDataProviderBlocks;

    protected $mobileDisplayVariant = '';

    public function __construct()
    {
        $this->blocks = [
            0 => [
                'id' => 'component39bb',
                'section' => 'content',
                'type' => 'headline',
                'data' => [
                    'title' => 'Hero carousel possibilities',
                    'subtitle' => '',
                ],
            ],
            1 => [
                'id' => 'componentea06',
                'section' => 'content',
                'type' => 'hero-carousel',
                'data' => [
                    'mobileDisplayVariant' => $this->mobileDisplayVariant,
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfMTdfY29weS5qcGcifX0',
                            'decodedImage' => '{{media url="creative_components/Layer_17_copy.jpg"}}',
                            'displayVariant' => 'variant-1',
                            'colorScheme' => 'dark',
                            'headline' => 'Text vertically centered on the left',
                            'subheadline' => 'Test subheadline',
                            'paragraph' => 'Test paragraph',
                            'sizeInfo' => '1166x780px (583:390)',
                            'aspectRatio' => '583:390',
                            'ctaLabel' => 'Button',
                            'href' => 'http://www.creativestyle.pl/'

                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfOTAuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_90.jpg"}}',
                            'displayVariant' => 'variant-2',
                            'colorScheme' => 'dark',
                            'headline' => 'Text vertically centered in the middle',
                            'subheadline' => 'Test subheadline',
                            'paragraph' => 'Test paragraph',
                            'sizeInfo' => '1163x780px (1163:780)',
                            'aspectRatio' => '1163:780',
                            'ctaLabel' => 'Button',
                            'href' => 'http://www.creativestyle.pl/'
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfMTdfY29weS5qcGcifX0',
                            'decodedImage' => '{{media url="creative_components/Layer_17_copy.jpg"}}',
                            'displayVariant' => 'variant-3',
                            'colorScheme' => 'dark',
                            'headline' => 'Text on the bottom, left corner',
                            'subheadline' => 'Test subheadline',
                            'paragraph' => 'Test paragraph',
                            'sizeInfo' => '1166x780px (583:390)',
                            'aspectRatio' => '583:390',
                            'ctaLabel' => 'Button',
                            'href' => 'http://www.creativestyle.pl/'
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfOTAuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_90.jpg"}}',
                            'displayVariant' => 'variant-4',
                            'colorScheme' => 'dark',
                            'headline' => 'Text on the bottom - centered',
                            'subheadline' => 'Test subheadline',
                            'paragraph' => 'Test paragraph',
                            'sizeInfo' => '1163x780px (1163:780)',
                            'aspectRatio' => '1163:780',
                            'ctaLabel' => 'Button',
                            'href' => 'http://www.creativestyle.pl/'
                        ],
                    ],
                ],
            ],
            2 => [
                'id' => 'componentcceb',
                'section' => 'content',
                'type' => 'hero-carousel',
                'data' => [
                    'mobileDisplayVariant' => $this->mobileDisplayVariant,
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfMTdfY29weS5qcGcifX0',
                            'decodedImage' => '{{media url="creative_components/Layer_17_copy.jpg"}}',
                            'displayVariant' => 'variant-1',
                            'colorScheme' => 'light',
                            'headline' => 'Test headline',
                            'subheadline' => 'Test subheadline',
                            'paragraph' => 'Text vertically centered on the left ',
                            'sizeInfo' => '1166x780px (583:390)',
                            'aspectRatio' => '583:390',
                            'ctaLabel' => 'Button',
                            'href' => 'http://www.creativestyle.pl/'
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfOTAuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_90.jpg"}}',
                            'displayVariant' => 'variant-2',
                            'colorScheme' => 'light',
                            'headline' => 'Test headline',
                            'subheadline' => 'Test subheadline',
                            'paragraph' => 'Text vertically centered in the middle',
                            'sizeInfo' => '1163x780px (1163:780)',
                            'aspectRatio' => '1163:780',
                            'ctaLabel' => 'Button',
                            'href' => 'http://www.creativestyle.pl/'
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfMTdfY29weS5qcGcifX0',
                            'decodedImage' => '{{media url="creative_components/Layer_17_copy.jpg"}}',
                            'displayVariant' => 'variant-3',
                            'colorScheme' => 'light',
                            'headline' => 'Test headline',
                            'subheadline' => 'Test subheadline',
                            'paragraph' => 'Text on the bottom, left corner',
                            'sizeInfo' => '1166x780px (583:390)',
                            'aspectRatio' => '583:390',
                            'ctaLabel' => 'Button',
                            'href' => 'http://www.creativestyle.pl/'
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfOTAuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_90.jpg"}}',
                            'displayVariant' => 'variant-4',
                            'colorScheme' => 'light',
                            'headline' => 'Test headline',
                            'subheadline' => 'Test subheadline',
                            'paragraph' => 'Text on the bottom, centered',
                            'sizeInfo' => '1163x780px (1163:780)',
                            'aspectRatio' => '1163:780',
                            'ctaLabel' => 'Button',
                            'href' => 'http://www.creativestyle.pl/'
                        ],
                    ],
                ],
            ],
            3 => [
                'id' => 'componentf13e',
                'section' => 'content',
                'type' => 'hero-carousel',
                'data' => [
                    'mobileDisplayVariant' => $this->mobileDisplayVariant,
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfMTdfY29weS5qcGcifX0',
                            'decodedImage' => '{{media url="creative_components/Layer_17_copy.jpg"}}',
                            'displayVariant' => 'variant-1',
                            'colorScheme' => 'light',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '1166x780px (583:390)',
                            'aspectRatio' => '583:390',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfOTAuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_90.jpg"}}',
                            'displayVariant' => 'variant-1',
                            'colorScheme' => 'light',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '1163x780px (1163:780)',
                            'aspectRatio' => '1163:780',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfMTdfY29weS5qcGcifX0',
                            'decodedImage' => '{{media url="creative_components/Layer_17_copy.jpg"}}',
                            'displayVariant' => 'variant-1',
                            'colorScheme' => 'light',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '1166x780px (583:390)',
                            'aspectRatio' => '583:390',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfOTAuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_90.jpg"}}',
                            'displayVariant' => 'variant-1',
                            'colorScheme' => 'light',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '1163x780px (1163:780)',
                            'aspectRatio' => '1163:780',
                        ],
                    ],
                ],
            ],
            4 => [
                'id' => 'component77be',
                'section' => 'content',
                'type' => 'hero-carousel',
                'data' => [
                    'mobileDisplayVariant' => $this->mobileDisplayVariant,
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfOTAuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_90.jpg"}}',
                            'displayVariant' => 'variant-1',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline only',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '1163x780px (1163:780)',
                            'aspectRatio' => '1163:780',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfOTAuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_90.jpg"}}',
                            'displayVariant' => 'variant-2',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline only',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '1163x780px (1163:780)',
                            'aspectRatio' => '1163:780',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfMTdfY29weS5qcGcifX0',
                            'decodedImage' => '{{media url="creative_components/Layer_17_copy.jpg"}}',
                            'displayVariant' => 'variant-3',
                            'colorScheme' => 'light',
                            'headline' => 'Headline only',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '1166x780px (583:390)',
                            'aspectRatio' => '583:390',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfOTAuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_90.jpg"}}',
                            'displayVariant' => 'variant-4',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline only',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '1163x780px (1163:780)',
                            'aspectRatio' => '1163:780',
                        ],
                        4 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfMTdfY29weS5qcGcifX0',
                            'decodedImage' => '{{media url="creative_components/Layer_17_copy.jpg"}}',
                            'displayVariant' => 'variant-1',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'subheadline' => 'Subheadline',
                            'paragraph' => '',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '1166x780px (583:390)',
                            'aspectRatio' => '583:390',
                        ],
                        5 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfOTAuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_90.jpg"}}',
                            'displayVariant' => 'variant-2',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'subheadline' => 'Subheadline',
                            'paragraph' => '',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '1163x780px (1163:780)',
                            'aspectRatio' => '1163:780',
                        ],
                        6 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfMTdfY29weS5qcGcifX0',
                            'decodedImage' => '{{media url="creative_components/Layer_17_copy.jpg"}}',
                            'displayVariant' => 'variant-3',
                            'colorScheme' => 'light',
                            'headline' => 'Headline',
                            'subheadline' => 'Subheadline',
                            'paragraph' => '',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '1166x780px (583:390)',
                            'aspectRatio' => '583:390',
                        ],
                        7 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfOTAuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_90.jpg"}}',
                            'displayVariant' => 'variant-4',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'subheadline' => 'Subheadline',
                            'paragraph' => '',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '1163x780px (1163:780)',
                            'aspectRatio' => '1163:780',
                        ],
                        8 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfOTAuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_90.jpg"}}',
                            'displayVariant' => 'variant-2',
                            'colorScheme' => 'dark',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => 'Only really long paragraph here. Only really long paragraph here. Only really long paragraph here. Only really long paragraph here. Only really long paragraph here. Only really long paragraph here. ',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '1163x780px (1163:780)',
                            'aspectRatio' => '1163:780',
                        ],
                        9 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfMTdfY29weS5qcGcifX0',
                            'decodedImage' => '{{media url="creative_components/Layer_17_copy.jpg"}}',
                            'displayVariant' => 'variant-2',
                            'colorScheme' => 'light',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button only',
                            'href' => 'http://www.creativestyle.pl/',
                            'sizeInfo' => '1166x780px (583:390)',
                            'aspectRatio' => '583:390',
                        ],
                    ],
                ],
            ],
        ];
    }
}
