<?php

namespace Creativestyle\ContentConstructorFrontendExtension\DataProviders\ComponentsList;

class ITContainerWidth
{
    use GetDataProviderBlocks;

    public function __construct()
    {
        $this->blocks = [
            0 => [
                'id' => 'component8a70',
                'section' => 'content',
                'type' => 'headline',
                'data' => [
                    'title' => 'Image teasers for container width',
                    'subtitle' => '',
                ],
            ],
            // 1 in row =====
            1 => [
                'id' => 'componente2ca',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '1 in row',
                            'subheadline' => 'Large image',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '1 in row',
                            'iconId' => 'dl_1',
                            'disabled' => '',
                            'teasersNum' => '1',
                            'id' => '1',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Large teaser',
                            'iconId' => 'ml_col',
                            'disabled' => '',
                            'id' => 'large',
                        ]
                    ]
                ]
            ],
            // 2 in row slider =====
            2 => [
                'id' => 'component3cc8',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '2 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'light',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '2 in row',
                            'iconId' => 'dl_2',
                            'disabled' => '',
                            'teasersNum' => '2',
                            'id' => '2',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            // 2 in row One next to another =====
            3 => [
                'id' => 'component44e9',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '2 in row',
                            'subheadline' => 'One next to another',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'light',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline'
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '2 in row',
                            'iconId' => 'dl_2',
                            'disabled' => '',
                            'teasersNum' => '2',
                            'id' => '2',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Teasers in row',
                            'iconId' => 'ml_2-2',
                            'disabled' => '',
                            'id' => 'row',
                        ],
                    ],
                ],
            ],
            // 2 in row One under another =====
            4 => [
                'id' => 'component0925',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '2 in row',
                            'subheadline' => 'One under another',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'light'
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '2 in row',
                            'iconId' => 'dl_2',
                            'disabled' => '',
                            'teasersNum' => '2',
                            'id' => '2',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Teasers in column',
                            'iconId' => 'ml_col',
                            'disabled' => '',
                            'id' => 'col',
                        ],
                    ],
                ],
            ],
            // 2 in row One under another Text below image =====
            5 => [
                'id' => 'componenta816',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '2 in row',
                            'subheadline' => 'One under another',
                            'paragraph' => 'Text below image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'subheadline' => 'Subheadline',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '2 in row',
                            'iconId' => 'dl_2',
                            'disabled' => '',
                            'teasersNum' => '2',
                            'id' => '2',
                        ],
                        'textPositioning' => [
                            'name' => 'Text below image',
                            'iconId' => 'tl_under',
                            'disabled' => '',
                            'textPosition' => '',
                            'id' => 'under',
                        ],
                        'mobileLayout' => [
                            'name' => 'Teasers in column',
                            'iconId' => 'ml_col',
                            'disabled' => '',
                            'id' => 'col',
                        ],
                    ],
                ],
            ],
            // 3 in row Slider =====
            6 => [
                'id' => 'componentb64e',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '3 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/slide1.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => '',
                            'colorScheme' => 'light',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '3 in row',
                            'iconId' => 'dl_3',
                            'disabled' => '',
                            'teasersNum' => '3',
                            'id' => '3',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            // 3 in row One under another =====
            7 => [
                'id' => 'component31c4',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '3 in row',
                            'subheadline' => 'One under another',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/slide1.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => '',
                            'colorScheme' => 'light',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '3 in row',
                            'iconId' => 'dl_3',
                            'disabled' => '',
                            'teasersNum' => '3',
                            'id' => '3',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Teasers in column',
                            'iconId' => 'ml_col',
                            'disabled' => '',
                            'id' => 'col',
                        ],
                    ],
                ],
            ],
            // 3 in row Big, two small =====
            8 => [
                'id' => 'componentf168',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '3 in row',
                            'subheadline' => 'Big, two small',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'subheadline' => 'Subheadline'
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/slide1.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'light',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511'
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '3 in row',
                            'iconId' => 'dl_3',
                            'disabled' => '',
                            'teasersNum' => '3',
                            'id' => '3',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Big, two small',
                            'iconId' => 'ml_1-2',
                            'disabled' => '',
                            'id' => '1-2',
                        ],
                    ],
                ],
            ],
            // 3 in row One under another Text below image =====
            9 => [
                'id' => 'component9632',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '3 in row',
                            'subheadline' => 'One under another',
                            'paragraph' => 'Text below image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/slide1.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => '',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '3 in row',
                            'iconId' => 'dl_3',
                            'disabled' => '',
                            'teasersNum' => '3',
                            'id' => '3',
                        ],
                        'textPositioning' => [
                            'name' => 'Text below image',
                            'iconId' => 'tl_under',
                            'disabled' => '',
                            'textPosition' => '',
                            'id' => 'under',
                        ],
                        'mobileLayout' => [
                            'name' => 'Teasers in column',
                            'iconId' => 'ml_col',
                            'disabled' => '',
                            'id' => 'col',
                        ],
                    ],
                ],
            ],
            // 4 in row Slider =====
            10 => [
                'id' => 'component047f',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '4 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'colorScheme' => 'light',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_66_reupload.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfY29weV8yX3JldXBsb2FkLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/Layer_66_copy_2_reupload.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '573x571px (573:571)',
                            'aspectRatio' => '573:571',
                            'displayVariant' => '1',
                            'subheadline' => '',
                            'colorScheme' => 'light',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'headline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '4 in row',
                            'iconId' => 'dl_4',
                            'disabled' => '',
                            'teasersNum' => '4',
                            'id' => '4',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            // 4 in row, 2 in row, 2 rows =====
            11 => [
                'id' => 'component8662',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '4 in row',
                            'subheadline' => '2 in row, 2 rows',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'colorScheme' => 'light',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_66_reupload.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfY29weV8yX3JldXBsb2FkLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/Layer_66_copy_2_reupload.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '573x571px (573:571)',
                            'aspectRatio' => '573:571',
                            'displayVariant' => '1',
                            'subheadline' => '',
                            'colorScheme' => 'light',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'headline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '4 in row',
                            'iconId' => 'dl_4',
                            'disabled' => '',
                            'teasersNum' => '4',
                            'id' => '4',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => '2 in row, 2 rows',
                            'iconId' => 'ml_2-2',
                            'disabled' => '',
                            'id' => '2-2',
                        ],
                    ],
                ],
            ],
            // 4 in row, Big, two small, big =====
            12 => [
                'id' => 'component6345',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '4 in row',
                            'subheadline' => 'Big, two small, big',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'colorScheme' => 'light',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_66_reupload.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfY29weV8yX3JldXBsb2FkLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/Layer_66_copy_2_reupload.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '573x571px (573:571)',
                            'aspectRatio' => '573:571',
                            'displayVariant' => '1',
                            'subheadline' => '',
                            'colorScheme' => 'light',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'headline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '4 in row',
                            'iconId' => 'dl_4',
                            'disabled' => '',
                            'teasersNum' => '4',
                            'id' => '4',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Big, two small, big',
                            'iconId' => 'ml_1-2',
                            'disabled' => '',
                            'id' => '1-2-1',
                        ],
                    ],
                ],
            ],
            // 4 in row, One under another =====
            13 => [
                'id' => 'component512f',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '4 in row',
                            'subheadline' => 'Text below image',
                            'paragraph' => 'One under another',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_66_reupload.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfY29weV8yX3JldXBsb2FkLmpwZyJ9fQ',
                            'decodedImage' => '{{media
                            url="creative_components/Layer_66_copy_2_reupload.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '573x571px (573:571)',
                            'aspectRatio' => '573:571',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'headline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'displayVariant' => '1',
                            'subheadline' => '',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '4 in row',
                            'iconId' => 'dl_4',
                            'disabled' => '',
                            'teasersNum' => '4',
                            'id' => '4',
                        ],
                        'textPositioning' => [
                            'name' => 'Text below image',
                            'iconId' => 'tl_under',
                            'disabled' => '',
                            'textPosition' => '',
                            'id' => 'under',
                        ],
                        'mobileLayout' => [
                            'name' => 'Teasers in column',
                            'iconId' => 'ml_col',
                            'disabled' => '',
                            'id' => 'col',
                        ],
                    ],
                ],
            ],
            // 6 in row, Slider =====
            14 => [
                'id' => 'component623e',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxXzEuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/slide1_1.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '6 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '500x500px (1:1)',
                            'aspectRatio' => '1:1',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxXzEuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/slide1_1.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '500x500px (1:1)',
                            'aspectRatio' => '1:1',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxXzEuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/slide1_1.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '500x500px (1:1)',
                            'aspectRatio' => '1:1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxXzEuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/slide1_1.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '500x500px (1:1)',
                            'aspectRatio' => '1:1',
                            'colorScheme' => 'light',
                        ],
                        4 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxXzEuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/slide1_1.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '500x500px (1:1)',
                            'aspectRatio' => '1:1',
                            'colorScheme' => 'dark',
                        ],
                        5 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxXzEuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/slide1_1.jpg"}}',
                            'headline' => '',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '500x500px (1:1)',
                            'aspectRatio' => '1:1',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '6 in row',
                            'iconId' => 'dl_6',
                            'disabled' => '',
                            'teasersNum' => '6',
                            'id' => '6',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            // 6 in row, 2 in row, 3 rows =====
            15 => [
                'id' => 'componentd931',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxXzEuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/slide1_1.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '6 in row',
                            'subheadline' => '2 in row, 3 rows',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '500x500px (1:1)',
                            'aspectRatio' => '1:1',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxXzEuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/slide1_1.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '500x500px (1:1)',
                            'aspectRatio' => '1:1',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxXzEuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/slide1_1.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '500x500px (1:1)',
                            'aspectRatio' => '1:1',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxXzEuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/slide1_1.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '500x500px (1:1)',
                            'aspectRatio' => '1:1',
                            'displayVariant' => '1',
                            'subheadline' => '',
                            'colorScheme' => 'light',
                        ],
                        4 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxXzEuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/slide1_1.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '500x500px (1:1)',
                            'aspectRatio' => '1:1',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                        5 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxXzEuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/slide1_1.jpg"}}',
                            'headline' => '',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => '',
                            'href' => '',
                            'sizeInfo' => '500x500px (1:1)',
                            'aspectRatio' => '1:1',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '6 in row',
                            'iconId' => 'dl_6',
                            'disabled' => '',
                            'teasersNum' => '6',
                            'id' => '6',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => '2 in row, 3 rows',
                            'iconId' => 'ml_2-2',
                            'disabled' => '',
                            'id' => '2-2-2',
                        ],
                    ],
                ],
            ],
            // 6 in row, Slider, Text below imag =====
            16 => [
                'id' => 'componenta8ab',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvMS5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/1.png"}}',
                            'displayVariant' => '1',
                            'headline' => '6 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text below image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvMi5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/2.png"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvNi5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/6.png"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'subheadline' => 'Subheadline',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvNS5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/5.png"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                        4 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvNC5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/4.png"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                        5 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvMy5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/3.png"}}',
                            'headline' => '',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '6 in row',
                            'iconId' => 'dl_6',
                            'disabled' => '',
                            'teasersNum' => '6',
                            'id' => '6',
                        ],
                        'textPositioning' => [
                            'name' => 'Text below image',
                            'iconId' => 'tl_under',
                            'disabled' => '',
                            'textPosition' => '',
                            'id' => 'under',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            // 6 in row, 2 in row, 3 rows, Text below image =====
            17 => [
                'id' => 'componentabe2',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvMS5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/1.png"}}',
                            'displayVariant' => '1',
                            'headline' => '6 in row',
                            'subheadline' => 'One next to another',
                            'paragraph' => 'Text below image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvMi5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/2.png"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'subheadline' => 'Subheadline',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvNi5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/6.png"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'subheadline' => 'Subheadline',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvNS5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/5.png"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'subheadline' => '',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                        4 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvNC5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/4.png"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'subheadline' => '',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                        5 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvMy5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/3.png"}}',
                            'headline' => '',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '6 in row',
                            'iconId' => 'dl_6',
                            'disabled' => '',
                            'teasersNum' => '6',
                            'id' => '6',
                        ],
                        'textPositioning' => [
                            'name' => 'Text below image',
                            'iconId' => 'tl_under',
                            'disabled' => '',
                            'textPosition' => '',
                            'id' => 'under',
                        ],
                        'mobileLayout' => [
                            'name' => '2 in row, 3 rows',
                            'iconId' => 'ml_2-2',
                            'disabled' => '',
                            'id' => '2-2-2',
                        ],
                    ],
                ],
            ],
            // 8 in row, Slider, Text below imag =====
            18 => [
                'id' => 'componenta8ab',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvMS5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/1.png"}}',
                            'displayVariant' => '1',
                            'headline' => '8 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text below image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvMi5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/2.png"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvNi5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/6.png"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'subheadline' => 'Subheadline',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvNS5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/5.png"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                        4 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvNC5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/4.png"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                        5 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvMy5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/3.png"}}',
                            'headline' => '',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                        7 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvMy5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/3.png"}}',
                            'headline' => '',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                        8 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvMy5wbmcifX0',
                            'decodedImage' => '{{media url="creative_components/3.png"}}',
                            'headline' => '',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '195x90px (13:6)',
                            'aspectRatio' => '13:6',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Container width',
                            'iconId' => 'tw_content-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'c',
                        ],
                        'desktopLayout' => [
                            'name' => '8 in row',
                            'iconId' => 'dl_8',
                            'disabled' => '',
                            'teasersNum' => '8',
                            'id' => '8',
                        ],
                        'textPositioning' => [
                            'name' => 'Text below image',
                            'iconId' => 'tl_under',
                            'disabled' => '',
                            'textPosition' => '',
                            'id' => 'under',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
        ];
    }

}
