<?php

namespace Creativestyle\ContentConstructorFrontendExtension\DataProviders\ComponentsList;

class ITContentWidthSlider
{
    use GetDataProviderBlocks;

    public function __construct()
    {
        $this->blocks = [
            0 => [
                'id' => 'component5a86',
                'section' => 'content',
                'type' => 'headline',
                'data' => [
                    'title' => 'Image Teasers for Content Width Slider',
                    'subtitle' => '',
                ],
            ],
            1 => [
                'id' => 'componentc0f3',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '1 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Content width Slider',
                            'iconId' => 'tw_content-slider',
                            'disabled' => '',
                            'teasersLimit' => '',
                            'id' => 'c-s',
                        ],
                        'desktopLayout' => [
                            'name' => '1 in row',
                            'iconId' => 'dl_1',
                            'disabled' => '',
                            'teasersNum' => '1',
                            'id' => '1',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            2 => [
                'id' => 'componentbd0a',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '2 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'light',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'subheadline' => 'Subheadline',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Content width Slider',
                            'iconId' => 'tw_content-slider',
                            'disabled' => '',
                            'teasersLimit' => '',
                            'id' => 'c-s',
                        ],
                        'desktopLayout' => [
                            'name' => '2 in row',
                            'iconId' => 'dl_2',
                            'disabled' => '',
                            'teasersNum' => '2',
                            'id' => '2',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            3 => [
                'id' => 'component7313',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '2 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text below image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'subheadline' => 'Subheadline',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Content width Slider',
                            'iconId' => 'tw_content-slider',
                            'disabled' => '',
                            'teasersLimit' => '',
                            'id' => 'c-s',
                        ],
                        'desktopLayout' => [
                            'name' => '2 in row',
                            'iconId' => 'dl_2',
                            'disabled' => '',
                            'teasersNum' => '2',
                            'id' => '2',
                        ],
                        'textPositioning' => [
                            'name' => 'Text below image',
                            'iconId' => 'tl_under',
                            'disabled' => '',
                            'textPosition' => '',
                            'id' => 'under',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            4 => [
                'id' => 'componentda0b',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '3 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'subheadline' => 'Subheadline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/slide1.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'light',
                            'headline' => 'Headline',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Content width Slider',
                            'iconId' => 'tw_content-slider',
                            'disabled' => '',
                            'teasersLimit' => '',
                            'id' => 'c-s',
                        ],
                        'desktopLayout' => [
                            'name' => '3 in row',
                            'iconId' => 'dl_3',
                            'disabled' => '',
                            'teasersNum' => '3',
                            'id' => '3',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            5 => [
                'id' => 'componentfa53',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '3 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text below image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'subheadline' => 'Subheadline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/slide1.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Content width Slider',
                            'iconId' => 'tw_content-slider',
                            'disabled' => '',
                            'teasersLimit' => '',
                            'id' => 'c-s',
                        ],
                        'desktopLayout' => [
                            'name' => '3 in row',
                            'iconId' => 'dl_3',
                            'disabled' => '',
                            'teasersNum' => '3',
                            'id' => '3',
                        ],
                        'textPositioning' => [
                            'name' => 'Text below image',
                            'iconId' => 'tl_under',
                            'disabled' => '',
                            'textPosition' => '',
                            'id' => 'under',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            6 => [
                'id' => 'component0335',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '4 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_66_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'subheadline' => 'Subheadline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfY29weV8yX3JldXBsb2FkLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/Layer_66_copy_2_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'light',
                            'headline' => 'Headline',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '573x571px (573:571)',
                            'aspectRatio' => '573:571',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Content width Slider',
                            'iconId' => 'tw_content-slider',
                            'disabled' => '',
                            'teasersLimit' => '',
                            'id' => 'c-s',
                        ],
                        'desktopLayout' => [
                            'name' => '4 in row',
                            'iconId' => 'dl_4',
                            'disabled' => '',
                            'teasersNum' => '4',
                            'id' => '4',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            7 => [
                'id' => 'component6e4c',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '4 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text below image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_66_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'subheadline' => 'Subheadline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfY29weV8yX3JldXBsb2FkLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/Layer_66_copy_2_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '573x571px (573:571)',
                            'aspectRatio' => '573:571',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Content width Slider',
                            'iconId' => 'tw_content-slider',
                            'disabled' => '',
                            'teasersLimit' => '',
                            'id' => 'c-s',
                        ],
                        'desktopLayout' => [
                            'name' => '4 in row',
                            'iconId' => 'dl_4',
                            'disabled' => '',
                            'teasersNum' => '4',
                            'id' => '4',
                        ],
                        'textPositioning' => [
                            'name' => 'Text below image',
                            'iconId' => 'tl_under',
                            'disabled' => '',
                            'textPosition' => '',
                            'id' => 'under',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            8 => [
                'id' => 'component6e6c',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '6 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text below image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_66_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'subheadline' => 'Subheadline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfY29weV8yX3JldXBsb2FkLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/Layer_66_copy_2_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '573x571px (573:571)',
                            'aspectRatio' => '573:571',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        4 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        5 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Content width Slider',
                            'iconId' => 'tw_content-slider',
                            'disabled' => '',
                            'teasersLimit' => '',
                            'id' => 'c-s',
                        ],
                        'desktopLayout' => [
                            'name' => '6 in row',
                            'iconId' => 'dl_6',
                            'disabled' => '',
                            'teasersNum' => '6',
                            'id' => '6',
                        ],
                        'textPositioning' => [
                            'name' => 'Text below image',
                            'iconId' => 'tl_under',
                            'disabled' => '',
                            'textPosition' => '',
                            'id' => 'under',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            9 => [
                'id' => 'component9e9c',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '8 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text below image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_66_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'subheadline' => 'Subheadline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfY29weV8yX3JldXBsb2FkLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/Layer_66_copy_2_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '573x571px (573:571)',
                            'aspectRatio' => '573:571',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        4 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        5 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        6 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        7 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '',
                            'subheadline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Content width Slider',
                            'iconId' => 'tw_content-slider',
                            'disabled' => '',
                            'teasersLimit' => '',
                            'id' => 'c-s',
                        ],
                        'desktopLayout' => [
                            'name' => '8 in row',
                            'iconId' => 'dl_8',
                            'disabled' => '',
                            'teasersNum' => '8',
                            'id' => '8',
                        ],
                        'textPositioning' => [
                            'name' => 'Text below image',
                            'iconId' => 'tl_under',
                            'disabled' => '',
                            'textPosition' => '',
                            'id' => 'under',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
        ];
    }
}
