<?php

namespace Creativestyle\ContentConstructorFrontendExtension\DataProviders\ComponentsList;

class ITWindowWidth
{
    use GetDataProviderBlocks;

    public function __construct()
    {
        $this->blocks = [
            0 => [
                'id' => 'componentc118',
                'section' => 'content',
                'type' => 'headline',
                'data' => [
                    'title' => 'Image teasers for window width',
                    'subtitle' => '',
                ],
            ],
            1 => [
                'id' => 'component52cf',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '1 in row',
                            'subheadline' => 'Large image',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Window width',
                            'iconId' => 'tw_window-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'w',
                        ],
                        'desktopLayout' => [
                            'name' => '1 in row',
                            'iconId' => 'dl_1',
                            'disabled' => '',
                            'teasersNum' => '1',
                            'id' => '1',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Large teaser',
                            'iconId' => 'ml_col',
                            'disabled' => '',
                            'id' => 'large',
                        ]
                    ]
                ]
            ],
            2 => [
                'id' => 'componenta505',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '2 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'light',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Window width',
                            'iconId' => 'tw_window-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'w',
                        ],
                        'desktopLayout' => [
                            'name' => '2 in row',
                            'iconId' => 'dl_2',
                            'disabled' => '',
                            'teasersNum' => '2',
                            'id' => '2',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            3 => [
                'id' => 'component597b',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '2 in row',
                            'subheadline' => 'One next to another',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'light',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline'
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Window width',
                            'iconId' => 'tw_window-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'w',
                        ],
                        'desktopLayout' => [
                            'name' => '2 in row',
                            'iconId' => 'dl_2',
                            'disabled' => '',
                            'teasersNum' => '2',
                            'id' => '2',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Teasers in row',
                            'iconId' => 'ml_2-2',
                            'disabled' => '',
                            'id' => 'row',
                        ],
                    ],
                ],
            ],
            4 => [
                'id' => 'component71ed',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '2 in row',
                            'subheadline' => 'One under another',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'light'
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Window width',
                            'iconId' => 'tw_window-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'w',
                        ],
                        'desktopLayout' => [
                            'name' => '2 in row',
                            'iconId' => 'dl_2',
                            'disabled' => '',
                            'teasersNum' => '2',
                            'id' => '2',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Teasers in column',
                            'iconId' => 'ml_col',
                            'disabled' => '',
                            'id' => 'col',
                        ],
                    ],
                ],
            ],
            5 => [
                'id' => 'componentfff9',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '2 in row',
                            'subheadline' => 'One under another',
                            'paragraph' => 'Text below image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => 'Paragraph',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'subheadline' => 'Subheadline',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Window width',
                            'iconId' => 'tw_window-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'w',
                        ],
                        'desktopLayout' => [
                            'name' => '2 in row',
                            'iconId' => 'dl_2',
                            'disabled' => '',
                            'teasersNum' => '2',
                            'id' => '2',
                        ],
                        'textPositioning' => [
                            'name' => 'Text below image',
                            'iconId' => 'tl_under',
                            'disabled' => '',
                            'textPosition' => '',
                            'id' => 'under',
                        ],
                        'mobileLayout' => [
                            'name' => 'Teasers in column',
                            'iconId' => 'ml_col',
                            'disabled' => '',
                            'id' => 'col',
                        ],
                    ],
                ],
            ],
            6 => [
                'id' => 'component620a',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '3 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/slide1.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => '',
                            'colorScheme' => 'light',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Window width',
                            'iconId' => 'tw_window-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'w',
                        ],
                        'desktopLayout' => [
                            'name' => '3 in row',
                            'iconId' => 'dl_3',
                            'disabled' => '',
                            'teasersNum' => '3',
                            'id' => '3',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            7 => [
                'id' => 'componentcf27',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '3 in row',
                            'subheadline' => 'One under another',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/slide1.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'subheadline' => '',
                            'colorScheme' => 'light',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Window width',
                            'iconId' => 'tw_window-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'w',
                        ],
                        'desktopLayout' => [
                            'name' => '3 in row',
                            'iconId' => 'dl_3',
                            'disabled' => '',
                            'teasersNum' => '3',
                            'id' => '3',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Teasers in column',
                            'iconId' => 'ml_col',
                            'disabled' => '',
                            'id' => 'col',
                        ],
                    ],
                ],
            ],
            8 => [
                'id' => 'componentf7d5',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                            'headline' => '3 in row',
                            'subheadline' => 'Big, two small',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'colorScheme' => 'dark',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'subheadline' => 'Subheadline'
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/slide1.jpg"}}',
                            'colorScheme' => 'light',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511'
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Window width',
                            'iconId' => 'tw_window-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'w',
                        ],
                        'desktopLayout' => [
                            'name' => '3 in row',
                            'iconId' => 'dl_3',
                            'disabled' => '',
                            'teasersNum' => '3',
                            'id' => '3',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Big, two small',
                            'iconId' => 'ml_1-2',
                            'disabled' => '',
                            'id' => '1-2',
                        ],
                    ],
                ],
            ],
            9 => [
                'id' => 'componentb035',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFubmVyXzMuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/banner_3.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '3 in row',
                            'subheadline' => 'One under another',
                            'paragraph' => 'Text below image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvYmFuZXIyLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/baner2.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvc2xpZGUxLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/slide1.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '1920x1022px (960:511)',
                            'aspectRatio' => '960:511',
                            'displayVariant' => '1',
                            'subheadline' => '',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Window width',
                            'iconId' => 'tw_window-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'w',
                        ],
                        'desktopLayout' => [
                            'name' => '3 in row',
                            'iconId' => 'dl_3',
                            'disabled' => '',
                            'teasersNum' => '3',
                            'id' => '3',
                        ],
                        'textPositioning' => [
                            'name' => 'Text below image',
                            'iconId' => 'tl_under',
                            'disabled' => '',
                            'textPosition' => '',
                            'id' => 'under',
                        ],
                        'mobileLayout' => [
                            'name' => 'Teasers in column',
                            'iconId' => 'ml_col',
                            'disabled' => '',
                            'id' => 'col',
                        ],
                    ],
                ],
            ],
            10 => [
                'id' => 'componentfaa0',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '4 in row',
                            'subheadline' => 'Slider',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_66_reupload.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfY29weV8yX3JldXBsb2FkLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/Layer_66_copy_2_reupload.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '573x571px (573:571)',
                            'aspectRatio' => '573:571',
                            'colorScheme' => 'light',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'headline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Window width',
                            'iconId' => 'tw_window-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'w',
                        ],
                        'desktopLayout' => [
                            'name' => '4 in row',
                            'iconId' => 'dl_4',
                            'disabled' => '',
                            'teasersNum' => '4',
                            'id' => '4',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Slider',
                            'iconId' => 'ml_slider',
                            'disabled' => '',
                            'id' => 'slider',
                        ],
                    ],
                ],
            ],
            // 4 in row, 2 in row, 2 rows =====
            11 => [
                'id' => 'componentb6a1',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '4 in row',
                            'subheadline' => '2 in row, 2 rows',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'colorScheme' => 'light',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_66_reupload.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'displayVariant' => '1',
                            'subheadline' => 'Subheadline',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfY29weV8yX3JldXBsb2FkLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/Layer_66_copy_2_reupload.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '573x571px (573:571)',
                            'aspectRatio' => '573:571',
                            'displayVariant' => '1',
                            'subheadline' => '',
                            'colorScheme' => 'light',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'headline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'displayVariant' => '1',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Window width',
                            'iconId' => 'tw_window-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'w',
                        ],
                        'desktopLayout' => [
                            'name' => '4 in row',
                            'iconId' => 'dl_4',
                            'disabled' => '',
                            'teasersNum' => '4',
                            'id' => '4',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => '2 in row, 2 rows',
                            'iconId' => 'ml_2-2',
                            'disabled' => '',
                            'id' => '2-2',
                        ],
                    ],
                ],
            ],
            // 4 in row, Big, two small, big =====
            12 => [
                'id' => 'component0795',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '4 in row',
                            'subheadline' => 'Big, two small, big',
                            'paragraph' => 'Text on image',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_66_reupload.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'subheadline' => 'Subheadline',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfY29weV8yX3JldXBsb2FkLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/Layer_66_copy_2_reupload.jpg"}}',
                            'headline' => 'Headline',
                            'paragraph' => '',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '573x571px (573:571)',
                            'aspectRatio' => '573:571',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'headline' => '',
                            'paragraph' => '',
                            'ctaLabel' => 'Button',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Window width',
                            'iconId' => 'tw_window-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'w',
                        ],
                        'desktopLayout' => [
                            'name' => '4 in row',
                            'iconId' => 'dl_4',
                            'disabled' => '',
                            'teasersNum' => '4',
                            'id' => '4',
                        ],
                        'textPositioning' => [
                            'name' => 'Text over image',
                            'iconId' => 'tl_over',
                            'disabled' => '',
                            'textPosition' => '1',
                            'id' => 'over',
                        ],
                        'mobileLayout' => [
                            'name' => 'Big, two small, big',
                            'iconId' => 'ml_1-2',
                            'disabled' => '',
                            'id' => '1-2-1',
                        ],
                    ],
                ],
            ],
            // 4 in row, One below another, Text below imag =====
            13 => [
                'id' => 'component5a4d',
                'section' => 'content',
                'type' => 'image-teaser',
                'data' => [
                    'items' => [
                        0 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'displayVariant' => '1',
                            'headline' => '4 in row',
                            'subheadline' => 'One below another',
                            'paragraph' => 'Window width',
                            'ctaLabel' => 'Some button here',
                            'href' => '{{widget type="Magento\\Cms\\Block\\Widget\\Page\\Link" template="widget/link/link_block.phtml" page_id="10001"}}',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'colorScheme' => 'dark',
                        ],
                        1 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_66_reupload.jpg"}}',
                            'headline' => '4 in row',
                            'paragraph' => 'Window width',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'displayVariant' => '1',
                            'subheadline' => 'Text below image',
                            'colorScheme' => 'dark',
                        ],
                        2 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjZfY29weV8yX3JldXBsb2FkLmpwZyJ9fQ',
                            'decodedImage' => '{{media url="creative_components/Layer_66_copy_2_reupload.jpg"}}',
                            'headline' => '4 in row',
                            'paragraph' => 'Window width',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '573x571px (573:571)',
                            'aspectRatio' => '573:571',
                            'displayVariant' => '1',
                            'subheadline' => 'Text below image',
                            'colorScheme' => 'dark',
                        ],
                        3 => [
                            'image' => '/admin/content-constructor/image/show/image/e3ttZWRpYSB1cmw9Ind5c2l3eWcvTGF5ZXJfNjdfcmV1cGxvYWQuanBnIn19',
                            'decodedImage' => '{{media url="creative_components/Layer_67_reupload.jpg"}}',
                            'headline' => '4 in row',
                            'paragraph' => 'Window width',
                            'ctaLabel' => 'More',
                            'href' => '',
                            'sizeInfo' => '574x571px (574:571)',
                            'aspectRatio' => '574:571',
                            'displayVariant' => '1',
                            'subheadline' => 'Text below image',
                            'colorScheme' => 'dark',
                        ],
                    ],
                    'ignoredItems' => [],
                    'currentScenario' => [
                        'teaserWidth' => [
                            'name' => 'Window width',
                            'iconId' => 'tw_window-width',
                            'disabled' => '',
                            'teasersLimit' => '1',
                            'id' => 'w',
                        ],
                        'desktopLayout' => [
                            'name' => '4 in row',
                            'iconId' => 'dl_4',
                            'disabled' => '',
                            'teasersNum' => '4',
                            'id' => '4',
                        ],
                        'textPositioning' => [
                            'name' => 'Text below image',
                            'iconId' => 'tl_under',
                            'disabled' => '',
                            'textPosition' => '',
                            'id' => 'under',
                        ],
                        'mobileLayout' => [
                            'name' => 'Teasers in column',
                            'iconId' => 'ml_col',
                            'disabled' => '',
                            'id' => 'col',
                        ]
                    ]
                ]
            ],
        ];
    }

}
